Deskhero Developer Hub
Back to deskhero.com
Faqs

Import live

Starts a live FAQ import: crawls the given URL in the background and inserts every found question/answer pair as a suggestion. Progress and found items stream to the calling user over the websocket.

POST /api/{tenant:minlength(2)}/v{version:apiVersion}/faqs/import_live
Authorisation
Minimum role: USER

Request arguments

Name Type Source
inputDTO_faq_import_live_inputBody
Request body example

Response

Status
200 (OK)
Type
DTO_acknowledgement
Wrapper
DTO_response_wrap
Other statuses
400 (BadRequest), 401 (Unauthorized), 403 (Forbidden), 429 (TooManyRequests)
Response body example
DTO_faq_import_live_input
NameTypeReadOnlyDescription
urlStringAbsolute http(s) URL of the FAQ to crawl
DTO_acknowledgement
NameTypeReadOnlyDescription
messageStringMessage

Generated Aug 22, 2026 09:36